# `ngBindTemplate` (directive in module `ng` )

Improve this doc

## Description

The `ngBindTemplate` directive specifies that the element text should be replaced with the template in ngBindTemplate. Unlike ngBind the ngBindTemplate can contain multiple `{{` `}}` expressions. (This is required since some HTML elements can not have SPAN elements such as TITLE, or OPTION to name a few.)

## Usage

as attribute

    <ANY ng-bind-template="{string}">
       ...
    </ANY>

as class

    <ANY class="ng-bind-template: {string};">
       ...
    </ANY>

### Parameters

- `ngBindTemplate – {string} –`

  template of form `{{` `expression` `}}` to eval.

## Example

Try it here: enter text in text box and watch the greeting change.

#### Source

#### Demo